package com.bonus.canteen.core.supply.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@ApiModel(
   value = "DrpMaterialWinBidRecords对象",
   description = "原料中标记录表"
)
public class DrpMaterialWinBidRecords {
   @ApiModelProperty("记录ID")
   private Long recordId;
   @ApiModelProperty("原料id")
   private Long materialId;
   @ApiModelProperty("中标价")
   private Integer winPrice;
   @ApiModelProperty("中标日期")
   private LocalDateTime winDate;
   @ApiModelProperty("中标供应商")
   private Long winSupplierId;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String crby;
   @TableField(
      value = "crtime",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String upby;
   @TableField(
      value = "uptime",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;
   @ApiModelProperty("农贸市场价格")
   private Long farmersMarketPrice;
   @ApiModelProperty("中标价格有效期开始")
   private LocalDateTime bidValidityStartTime;
   @ApiModelProperty("中标价格有效期结束")
   private LocalDateTime bidValidityEndTime;
   @ApiModelProperty("货品招标单号")
   private String materialInquiryId;

   public Long getRecordId() {
      return this.recordId;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public Integer getWinPrice() {
      return this.winPrice;
   }

   public LocalDateTime getWinDate() {
      return this.winDate;
   }

   public Long getWinSupplierId() {
      return this.winSupplierId;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public Long getFarmersMarketPrice() {
      return this.farmersMarketPrice;
   }

   public LocalDateTime getBidValidityStartTime() {
      return this.bidValidityStartTime;
   }

   public LocalDateTime getBidValidityEndTime() {
      return this.bidValidityEndTime;
   }

   public String getMaterialInquiryId() {
      return this.materialInquiryId;
   }

   public DrpMaterialWinBidRecords setRecordId(final Long recordId) {
      this.recordId = recordId;
      return this;
   }

   public DrpMaterialWinBidRecords setMaterialId(final Long materialId) {
      this.materialId = materialId;
      return this;
   }

   public DrpMaterialWinBidRecords setWinPrice(final Integer winPrice) {
      this.winPrice = winPrice;
      return this;
   }

   public DrpMaterialWinBidRecords setWinDate(final LocalDateTime winDate) {
      this.winDate = winDate;
      return this;
   }

   public DrpMaterialWinBidRecords setWinSupplierId(final Long winSupplierId) {
      this.winSupplierId = winSupplierId;
      return this;
   }

   public DrpMaterialWinBidRecords setCrby(final String crby) {
      this.crby = crby;
      return this;
   }

   public DrpMaterialWinBidRecords setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
      return this;
   }

   public DrpMaterialWinBidRecords setUpby(final String upby) {
      this.upby = upby;
      return this;
   }

   public DrpMaterialWinBidRecords setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
      return this;
   }

   public DrpMaterialWinBidRecords setFarmersMarketPrice(final Long farmersMarketPrice) {
      this.farmersMarketPrice = farmersMarketPrice;
      return this;
   }

   public DrpMaterialWinBidRecords setBidValidityStartTime(final LocalDateTime bidValidityStartTime) {
      this.bidValidityStartTime = bidValidityStartTime;
      return this;
   }

   public DrpMaterialWinBidRecords setBidValidityEndTime(final LocalDateTime bidValidityEndTime) {
      this.bidValidityEndTime = bidValidityEndTime;
      return this;
   }

   public DrpMaterialWinBidRecords setMaterialInquiryId(final String materialInquiryId) {
      this.materialInquiryId = materialInquiryId;
      return this;
   }


   public String toString() {
      Long var10000 = this.getRecordId();
      return "DrpMaterialWinBidRecords(recordId=" + var10000 + ", materialId=" + this.getMaterialId() + ", winPrice=" + this.getWinPrice() + ", winDate=" + String.valueOf(this.getWinDate()) + ", winSupplierId=" + this.getWinSupplierId() + ", crby=" + this.getCrby() + ", crtime=" + String.valueOf(this.getCrtime()) + ", upby=" + this.getUpby() + ", uptime=" + String.valueOf(this.getUptime()) + ", farmersMarketPrice=" + this.getFarmersMarketPrice() + ", bidValidityStartTime=" + String.valueOf(this.getBidValidityStartTime()) + ", bidValidityEndTime=" + String.valueOf(this.getBidValidityEndTime()) + ", materialInquiryId=" + this.getMaterialInquiryId() + ")";
   }
}
